### YamlMime:ManagedReference
items:
- uid: Voile.Audio.SoundInstance
  commentId: T:Voile.Audio.SoundInstance
  id: SoundInstance
  parent: Voile.Audio
  children:
  - Voile.Audio.SoundInstance.#ctor(Voile.Audio.AudioSystem,Voile.Sound)
  - Voile.Audio.SoundInstance.OnBus(System.String)
  - Voile.Audio.SoundInstance.PitchVariation(System.Single,System.Single)
  - Voile.Audio.SoundInstance.Play
  - Voile.Audio.SoundInstance.Sound
  - Voile.Audio.SoundInstance.VolumeVariation(System.Single,System.Single)
  langs:
  - csharp
  - vb
  name: SoundInstance
  nameWithType: SoundInstance
  fullName: Voile.Audio.SoundInstance
  type: Class
  source:
    remote:
      path: Voile/Source/Audio/SoundInstance.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: SoundInstance
    path: Source/Audio/SoundInstance.cs
    startLine: 2
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: public class SoundInstance
    content.vb: Public Class SoundInstance
  inheritance:
  - System.Object
  inheritedMembers:
  - System.Object.Equals(System.Object)
  - System.Object.Equals(System.Object,System.Object)
  - System.Object.GetHashCode
  - System.Object.GetType
  - System.Object.MemberwiseClone
  - System.Object.ReferenceEquals(System.Object,System.Object)
  - System.Object.ToString
- uid: Voile.Audio.SoundInstance.Sound
  commentId: P:Voile.Audio.SoundInstance.Sound
  id: Sound
  parent: Voile.Audio.SoundInstance
  langs:
  - csharp
  - vb
  name: Sound
  nameWithType: SoundInstance.Sound
  fullName: Voile.Audio.SoundInstance.Sound
  type: Property
  source:
    remote:
      path: Voile/Source/Audio/SoundInstance.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Sound
    path: Source/Audio/SoundInstance.cs
    startLine: 4
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: protected virtual Sound Sound { get; }
    parameters: []
    return:
      type: Voile.Sound
    content.vb: Protected Overridable ReadOnly Property Sound As Sound
  overload: Voile.Audio.SoundInstance.Sound*
- uid: Voile.Audio.SoundInstance.#ctor(Voile.Audio.AudioSystem,Voile.Sound)
  commentId: M:Voile.Audio.SoundInstance.#ctor(Voile.Audio.AudioSystem,Voile.Sound)
  id: '#ctor(Voile.Audio.AudioSystem,Voile.Sound)'
  parent: Voile.Audio.SoundInstance
  langs:
  - csharp
  - vb
  name: SoundInstance(AudioSystem, Sound)
  nameWithType: SoundInstance.SoundInstance(AudioSystem, Sound)
  fullName: Voile.Audio.SoundInstance.SoundInstance(Voile.Audio.AudioSystem, Voile.Sound)
  type: Constructor
  source:
    remote:
      path: Voile/Source/Audio/SoundInstance.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: .ctor
    path: Source/Audio/SoundInstance.cs
    startLine: 5
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: public SoundInstance(AudioSystem backend, Sound sound)
    parameters:
    - id: backend
      type: Voile.Audio.AudioSystem
    - id: sound
      type: Voile.Sound
    content.vb: Public Sub New(backend As AudioSystem, sound As Sound)
  overload: Voile.Audio.SoundInstance.#ctor*
  nameWithType.vb: SoundInstance.New(AudioSystem, Sound)
  fullName.vb: Voile.Audio.SoundInstance.New(Voile.Audio.AudioSystem, Voile.Sound)
  name.vb: New(AudioSystem, Sound)
- uid: Voile.Audio.SoundInstance.PitchVariation(System.Single,System.Single)
  commentId: M:Voile.Audio.SoundInstance.PitchVariation(System.Single,System.Single)
  id: PitchVariation(System.Single,System.Single)
  parent: Voile.Audio.SoundInstance
  langs:
  - csharp
  - vb
  name: PitchVariation(float, float)
  nameWithType: SoundInstance.PitchVariation(float, float)
  fullName: Voile.Audio.SoundInstance.PitchVariation(float, float)
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/SoundInstance.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: PitchVariation
    path: Source/Audio/SoundInstance.cs
    startLine: 11
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: public SoundInstance PitchVariation(float min, float max)
    parameters:
    - id: min
      type: System.Single
    - id: max
      type: System.Single
    return:
      type: Voile.Audio.SoundInstance
    content.vb: Public Function PitchVariation(min As Single, max As Single) As SoundInstance
  overload: Voile.Audio.SoundInstance.PitchVariation*
  nameWithType.vb: SoundInstance.PitchVariation(Single, Single)
  fullName.vb: Voile.Audio.SoundInstance.PitchVariation(Single, Single)
  name.vb: PitchVariation(Single, Single)
- uid: Voile.Audio.SoundInstance.VolumeVariation(System.Single,System.Single)
  commentId: M:Voile.Audio.SoundInstance.VolumeVariation(System.Single,System.Single)
  id: VolumeVariation(System.Single,System.Single)
  parent: Voile.Audio.SoundInstance
  langs:
  - csharp
  - vb
  name: VolumeVariation(float, float)
  nameWithType: SoundInstance.VolumeVariation(float, float)
  fullName: Voile.Audio.SoundInstance.VolumeVariation(float, float)
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/SoundInstance.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: VolumeVariation
    path: Source/Audio/SoundInstance.cs
    startLine: 18
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: public SoundInstance VolumeVariation(float min, float max)
    parameters:
    - id: min
      type: System.Single
    - id: max
      type: System.Single
    return:
      type: Voile.Audio.SoundInstance
    content.vb: Public Function VolumeVariation(min As Single, max As Single) As SoundInstance
  overload: Voile.Audio.SoundInstance.VolumeVariation*
  nameWithType.vb: SoundInstance.VolumeVariation(Single, Single)
  fullName.vb: Voile.Audio.SoundInstance.VolumeVariation(Single, Single)
  name.vb: VolumeVariation(Single, Single)
- uid: Voile.Audio.SoundInstance.OnBus(System.String)
  commentId: M:Voile.Audio.SoundInstance.OnBus(System.String)
  id: OnBus(System.String)
  parent: Voile.Audio.SoundInstance
  langs:
  - csharp
  - vb
  name: OnBus(string)
  nameWithType: SoundInstance.OnBus(string)
  fullName: Voile.Audio.SoundInstance.OnBus(string)
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/SoundInstance.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: OnBus
    path: Source/Audio/SoundInstance.cs
    startLine: 25
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: public SoundInstance OnBus(string bus = "Master")
    parameters:
    - id: bus
      type: System.String
    return:
      type: Voile.Audio.SoundInstance
    content.vb: Public Function OnBus(bus As String = "Master") As SoundInstance
  overload: Voile.Audio.SoundInstance.OnBus*
  nameWithType.vb: SoundInstance.OnBus(String)
  fullName.vb: Voile.Audio.SoundInstance.OnBus(String)
  name.vb: OnBus(String)
- uid: Voile.Audio.SoundInstance.Play
  commentId: M:Voile.Audio.SoundInstance.Play
  id: Play
  parent: Voile.Audio.SoundInstance
  langs:
  - csharp
  - vb
  name: Play()
  nameWithType: SoundInstance.Play()
  fullName: Voile.Audio.SoundInstance.Play()
  type: Method
  source:
    remote:
      path: Voile/Source/Audio/SoundInstance.cs
      branch: main
      repo: git@github.com:dnesov/DaggerFramework.git
    id: Play
    path: Source/Audio/SoundInstance.cs
    startLine: 31
  assemblies:
  - Voile
  namespace: Voile.Audio
  syntax:
    content: public void Play()
    content.vb: Public Sub Play()
  overload: Voile.Audio.SoundInstance.Play*
references:
- uid: Voile.Audio
  commentId: N:Voile.Audio
  href: Voile.html
  name: Voile.Audio
  nameWithType: Voile.Audio
  fullName: Voile.Audio
  spec.csharp:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Audio
    name: Audio
    href: Voile.Audio.html
  spec.vb:
  - uid: Voile
    name: Voile
    href: Voile.html
  - name: .
  - uid: Voile.Audio
    name: Audio
    href: Voile.Audio.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System.Object.Equals(System.Object)
  commentId: M:System.Object.Equals(System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  name: Equals(object)
  nameWithType: object.Equals(object)
  fullName: object.Equals(object)
  nameWithType.vb: Object.Equals(Object)
  fullName.vb: Object.Equals(Object)
  name.vb: Equals(Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.Equals(System.Object,System.Object)
  commentId: M:System.Object.Equals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  name: Equals(object, object)
  nameWithType: object.Equals(object, object)
  fullName: object.Equals(object, object)
  nameWithType.vb: Object.Equals(Object, Object)
  fullName.vb: Object.Equals(Object, Object)
  name.vb: Equals(Object, Object)
  spec.csharp:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.Equals(System.Object,System.Object)
    name: Equals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.equals#system-object-equals(system-object-system-object)
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.GetHashCode
  commentId: M:System.Object.GetHashCode
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  name: GetHashCode()
  nameWithType: object.GetHashCode()
  fullName: object.GetHashCode()
  nameWithType.vb: Object.GetHashCode()
  fullName.vb: Object.GetHashCode()
  spec.csharp:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetHashCode
    name: GetHashCode
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gethashcode
  - name: (
  - name: )
- uid: System.Object.GetType
  commentId: M:System.Object.GetType
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  name: GetType()
  nameWithType: object.GetType()
  fullName: object.GetType()
  nameWithType.vb: Object.GetType()
  fullName.vb: Object.GetType()
  spec.csharp:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.GetType
    name: GetType
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.gettype
  - name: (
  - name: )
- uid: System.Object.MemberwiseClone
  commentId: M:System.Object.MemberwiseClone
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  name: MemberwiseClone()
  nameWithType: object.MemberwiseClone()
  fullName: object.MemberwiseClone()
  nameWithType.vb: Object.MemberwiseClone()
  fullName.vb: Object.MemberwiseClone()
  spec.csharp:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.MemberwiseClone
    name: MemberwiseClone
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone
  - name: (
  - name: )
- uid: System.Object.ReferenceEquals(System.Object,System.Object)
  commentId: M:System.Object.ReferenceEquals(System.Object,System.Object)
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  name: ReferenceEquals(object, object)
  nameWithType: object.ReferenceEquals(object, object)
  fullName: object.ReferenceEquals(object, object)
  nameWithType.vb: Object.ReferenceEquals(Object, Object)
  fullName.vb: Object.ReferenceEquals(Object, Object)
  name.vb: ReferenceEquals(Object, Object)
  spec.csharp:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
  spec.vb:
  - uid: System.Object.ReferenceEquals(System.Object,System.Object)
    name: ReferenceEquals
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.referenceequals
  - name: (
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: ','
  - name: " "
  - uid: System.Object
    name: Object
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object
  - name: )
- uid: System.Object.ToString
  commentId: M:System.Object.ToString
  parent: System.Object
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  name: ToString()
  nameWithType: object.ToString()
  fullName: object.ToString()
  nameWithType.vb: Object.ToString()
  fullName.vb: Object.ToString()
  spec.csharp:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
  spec.vb:
  - uid: System.Object.ToString
    name: ToString
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.object.tostring
  - name: (
  - name: )
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: Voile.Audio.SoundInstance.Sound*
  commentId: Overload:Voile.Audio.SoundInstance.Sound
  href: Voile.Audio.SoundInstance.html#Voile_Audio_SoundInstance_Sound
  name: Sound
  nameWithType: SoundInstance.Sound
  fullName: Voile.Audio.SoundInstance.Sound
- uid: Voile.Sound
  commentId: T:Voile.Sound
  parent: Voile
  href: Voile.Sound.html
  name: Sound
  nameWithType: Sound
  fullName: Voile.Sound
- uid: Voile
  commentId: N:Voile
  href: Voile.html
  name: Voile
  nameWithType: Voile
  fullName: Voile
- uid: Voile.Audio.SoundInstance.#ctor*
  commentId: Overload:Voile.Audio.SoundInstance.#ctor
  href: Voile.Audio.SoundInstance.html#Voile_Audio_SoundInstance__ctor_Voile_Audio_AudioSystem_Voile_Sound_
  name: SoundInstance
  nameWithType: SoundInstance.SoundInstance
  fullName: Voile.Audio.SoundInstance.SoundInstance
  nameWithType.vb: SoundInstance.New
  fullName.vb: Voile.Audio.SoundInstance.New
  name.vb: New
- uid: Voile.Audio.AudioSystem
  commentId: T:Voile.Audio.AudioSystem
  parent: Voile.Audio
  href: Voile.Audio.AudioSystem.html
  name: AudioSystem
  nameWithType: AudioSystem
  fullName: Voile.Audio.AudioSystem
- uid: Voile.Audio.SoundInstance.PitchVariation*
  commentId: Overload:Voile.Audio.SoundInstance.PitchVariation
  href: Voile.Audio.SoundInstance.html#Voile_Audio_SoundInstance_PitchVariation_System_Single_System_Single_
  name: PitchVariation
  nameWithType: SoundInstance.PitchVariation
  fullName: Voile.Audio.SoundInstance.PitchVariation
- uid: System.Single
  commentId: T:System.Single
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.single
  name: float
  nameWithType: float
  fullName: float
  nameWithType.vb: Single
  fullName.vb: Single
  name.vb: Single
- uid: Voile.Audio.SoundInstance
  commentId: T:Voile.Audio.SoundInstance
  parent: Voile.Audio
  href: Voile.Audio.SoundInstance.html
  name: SoundInstance
  nameWithType: SoundInstance
  fullName: Voile.Audio.SoundInstance
- uid: Voile.Audio.SoundInstance.VolumeVariation*
  commentId: Overload:Voile.Audio.SoundInstance.VolumeVariation
  href: Voile.Audio.SoundInstance.html#Voile_Audio_SoundInstance_VolumeVariation_System_Single_System_Single_
  name: VolumeVariation
  nameWithType: SoundInstance.VolumeVariation
  fullName: Voile.Audio.SoundInstance.VolumeVariation
- uid: Voile.Audio.SoundInstance.OnBus*
  commentId: Overload:Voile.Audio.SoundInstance.OnBus
  href: Voile.Audio.SoundInstance.html#Voile_Audio_SoundInstance_OnBus_System_String_
  name: OnBus
  nameWithType: SoundInstance.OnBus
  fullName: Voile.Audio.SoundInstance.OnBus
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: Voile.Audio.SoundInstance.Play*
  commentId: Overload:Voile.Audio.SoundInstance.Play
  href: Voile.Audio.SoundInstance.html#Voile_Audio_SoundInstance_Play
  name: Play
  nameWithType: SoundInstance.Play
  fullName: Voile.Audio.SoundInstance.Play
